/*
  ICFS: Interactively Controlled File System
  Copyright (C) 2024-2025  Fedir Kovalov

  This program can be distributed under the terms of the GNU GPLv2.
  See the file LICENSE.
*/

/*
 * Interface for controlling communication with the UI.
 */

#ifndef UI_SOCKET_H
#define UI_SOCKET_H

#include <sys/types.h>

struct process_info {
  pid_t PID;
  const char *name;
  uid_t UID;
};

// For default socket location, set socket_path = NULL.
int init_ui_socket(const char *socket_path);

int ask_access(const char *filename, struct process_info pi);

#endif // !UI_SOCKET_H
